"""Add customer_id to users table

Revision ID: a5ea97ea6f7a
Revises: 19502fb57466
Create Date: 2020-07-21 14:41:53.792559

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'a5ea97ea6f7a'
down_revision = '19502fb57466'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_unique_constraint(None, 'invoice_status', ['id'])
    op.create_unique_constraint(None, 'subscription_status', ['id'])
    op.create_unique_constraint(None, 'subscription_types', ['id'])
    op.add_column('users', sa.Column('customer_id', sa.String(length=30), nullable=True))
    op.create_index(op.f('ix_users_customer_id'), 'users', ['customer_id'], unique=True)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_users_customer_id'), table_name='users')
    op.drop_column('users', 'customer_id')
    op.drop_constraint(None, 'subscription_types', type_='unique')
    op.drop_constraint(None, 'subscription_status', type_='unique')
    op.drop_constraint(None, 'invoice_status', type_='unique')
    # ### end Alembic commands ###
